/*
    siu-sh7343-spbpro.c - Alsa driver for Renesas' SH7343 SIU peripheral.

    Copyright (c) 2006 Carlos Munoz <carlos@kenati.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/


#include <linux/module.h>

#include "siu_sh7343.h"

/* YRAM0 address = siu_y_ram + 0x0000 */
const u_int32_t SIU_SPB_PRO_Y0[YRAM0_SIZE] = {
	0x004a4300,		/* ydef[0] passA=disable */
	0x03000300,		/* ydef[1] */
	0x08000000,		/* ydef[2] */
	0x00000000,		/* ydef[3] */
	0x00000000,		/* ydef[4] */
	0x00414900,		/* ydef[5] portB -> CPU	passB=disable */
	0x00020000,		/* ydef[6] pathB */
	0x00080000		/* ydef[7] pathA */
};


/* YRAM1 address = siu_y_ram + 0x0040 */
const u_int32_t SIU_SPB_PRO_Y1[YRAM1_SIZE] = {
	0x2304501b,		/* ydef[16] SRC -> over=8, 31tap */
	0x0000003f,		/* ydef[17] */
	0x00000100,		/* ydef[18] */
	0x00000000,		/* ydef[19] */
	0x0000ac44,		/* ydef[20] outfs */
	0x0000ac44,		/* ydef[21] infs */
	0x00000003,		/* ydef[22] over, =log2(8) */
	0x00000000,		/* ydef[23] */
	0x00000000,		/* ydef[24] */
	0x00000000,		/* ydef[25] */
	0x00000000,		/* ydef[26] */
	0x00005f1b		/* ydef[27] =(1/outfs)*0x40000000 */
};


/* YRAM2 address = siu_y_ram + 0x00c0 */
const u_int32_t SIU_SPB_PRO_Y2[YRAM2_SIZE] = {
	0x03041000,		/* ydef[48] band=undecided */
	0x00000200,		/* ydef[49] (header address / 2 ) of IIR data */
	0x00000300,		/* ydef[50] */
	0x00000000,		/* ydef[51] */
	0x40000000		/* ydef[52] */
};


/* YRAM3 address = siu_y_ram + 0x0100 */
const u_int32_t SIU_SPB_PRO_Y3[YRAM3_SIZE] = {
	0x00000000,
	0x00000000
};


/* YRAM4 address = siu_y_ram + 0x0180 */
const u_int32_t SIU_SPB_PRO_Y4[YRAM4_SIZE] = {
	0x00000000,
	0x00000000,
	0x00000000,
	0x00000000,
	0x00000000,
	0x00000000,
	0x00000000,
	0x00000000,
	0x00000000,
	0x00000000,
	0x00000000,
	0x00000000,
	0x00000000
};
